[B]6.2.1[/B]

- Fixed a bug (buttonsize in SkinSettings-windows).

[B]6.2.1~beta3[/B]

- Added a slideshow as background-option.
- Fixed a bug (focus-errormessage in log).

[B]6.2.1~beta2[/B]

- Fixed a bug (background visualisation expression).

[B]6.2.1~beta1[/B]

- Fixed some bugs (focus on Ok-button in message-windows, buttons in Settings-windows).

[B]6.2.0[/B]

- Fixed some bugs (RSS-feed animations, include of non-existing file).

[B]6.2.0~beta5[/B]

- Fixed some bugs (missing focus in Side Menu, focus in confirmation-window, horizontal scrollbar in views).

[B]6.2.0~beta4[/B]

- Improved the look of the channel-number-input.
- Fixed some bugs (missing focus and bad orientation of Side Menu, better scrollbar position, correct focus in Home Menu).

[B]6.2.0~beta3[/B]

- Redesigned the Side Menu.
- Redesigned the notifications and the back-button to be a part of the overlay.
- Fixed some bugs (impossible design of RSS-feed).

[B]6.2.0~beta2[/B]

- Redesigned the (extended) progress-bar and the volume-bar to be a part of the media overlay.
- Redesigned the RSS-feed to look more like the media overlay.
- Added the channel-number-input to the video window.
- Fixed some bugs (genre-colors, dialog backdrop, contributing artists-button, missing windows in debug, buttons for PVR-info-windows).

[B]6.2.0~beta1[/B]

- Added genre-colored borders to the elements in the EPG-Grid, and added the skin-settings to manage these colors.
- Added (almost) another row to the EPG-Grid.
- Redesigned and moved the player-speed icon and the volume-muted icon to the media overlay.
- Updated the RSS Editor-window.
- Fixed some bugs (bad includes, duplicate fonts, unused includes, dialog backdrop, missing images).

[B]6.1.0[/B]

- Fixed some bugs (bad includes).

[B]6.1.0~beta5[/B]

- Improved the add-on flags.
- Fixed some bugs (trying to add unsupported control type 1).

[B]6.1.0~beta4[/B]

- Improved the initialization/migration of the skin-settings.
- Improved the add-on flags.
- Fixed some bugs (stream-flag not showing/hiding properly, missing label in media overlay, duration-flag on internet stream).

[B]6.1.0~beta3[/B]

- Added skin-settings to show or hide the (media) flags and overlays.
- Improved some existing and removed some obsolete (media) overlays.
- Fixed some bugs (missing duration in the media player information).

[B]6.1.0~beta2[/B]

- Improved the info Dialog-windows (highlighted buttons, a little space above the flag icons).
- Improved some existing and added some new (media) flags.
- Added a skin-setting for the custom Comics-option in the Home Menu.
- Fixed a bug (missing background image when playing music).

[B]6.1.0~beta1[/B]

- Redesigned all (media) flags.
- Improved the style of the Dialog-windows (other fontstyle, other background).
- Changed the design of the info Dialog-windows (split information among several tabs).
- Added a LibreELEC-settings option to the Settings-menu.
- Made the help text background appear only when there is a help text for the focused setting in the Settings-windows.

[B]6.0.0[/B]

- Updated the version.

[B]6.0.0~beta3[/B]

- Added and removed some windows for the debug-information
- Fixed some bugs (invalid windows in debug, missing labels, unused include, view type in custom lists).

[B]6.0.0~beta2[/B]

- Added a background image to the Games Settings-option.
- Fixed some bugs (labels in Books-option, bad includes in controller-window, buttons in Video-OSD, MP3-media-icon).

[B]6.0.0~beta1[/B]

- Updated many windows (and other files) for Kodi Leia.
- Fixed some bugs (background for custom submenu).

[B]5.0.2[/B]

- Updated the version.

[B]5.0.2~beta2[/B]

- Improved the choppy sound workaround.

[B]5.0.2~beta1[/B]

- Tried to make a dirty workaround for an issue with choppy sound after closing the music visualization.
- Fixed some bugs (clear button in the custom menu options).

[B]5.0.1[/B]

- Fixed some bugs (small player controls background, border around more-button).

[B]5.0.1~beta2[/B]

- Added battery level information and the shutdown timer to some Home Menu options.
- Fixed some bugs (icon in the controller selection).

[B]5.0.1~beta1[/B]

- Added support for the Arial-font.
- Updated the language files.
- Improved default settings (Files-option active in Home Menu).
- Changed some options in the Settings-menu.
- Fixed some bugs (buttons in DialogSettings).

[B]5.0.0[/B]

- Replaced and removed some dialog-icons.
- Added new content types to the Debug-component.
- Fixed some bugs.

[B]5.0.0~beta5[/B]

- Improved the background strategy for files with fanart.
- Fixed some bugs.

[B]5.0.0~beta4[/B]

- Updated some windows for Kodi Krypton (directors in Global Search window, 'in progress tv shows'-option to custom actions).
- Improved the (default) background strategy, added some background animations.
- Updated some dialog icons and some player controls.
- Fixed some bugs.

[B]5.0.0~beta3[/B]

- Updated some windows for Kodi Krypton (scrollbar for EPG).
- Added some custom default icons (bookmarks, favourites).
- Fixed some bugs.

[B]5.0.0~beta2[/B]

- Updated some windows for Kodi Krypton (privacy policy).
- Replaced the default icons.
- Fixed some bugs.

[B]5.0.0~beta1[/B]

- Updated many windows (and other files) for Kodi Krypton.

[B]4.2.1[/B]

- Fixed some bugs.

[B]4.2.0[/B]

- Fixed some bugs (bad include for default values).

[B]4.1.1[/B]

- Added Favourites-update after 'Edit Favourites'-option in the Side Menu.

[B]4.1.1~beta3[/B]

- Fixed some bugs.

[B]4.1.1~beta2[/B]

- Added skip-buttons to the players controls in the OSD-windows.
- Added a custom PVR backend information dialog.
- Added support for the Favourites script add-on, added new Favourites-window that uses this add-on, remade Favourites-dialog as dialog-window.
- Added several interface improvements (better Side Menu options, Panic Button, navigation in dialogs, button layout in dialogs, menu control support).
- Replaced background images (for the Weather-option and the File Manager) and added a background image (for the Restart Kodi-option).
- Fixed some bugs.

[B]4.1.1~beta1[/B]

- Added translations (for the first time).
- Added support for the Autocompletion for Virtual Keyboard add-on.
- Added support for the Artist Slideshow add-on.
- Added more skin settings to configure the Exit Menu.
- Added several interface improvements (responsive seekbar with optional background, separate About-screen, small improvements for the Add-on browser).
- Replaced a background image (for the Games-option) and added a background image (for the About-option in the Settings Menu).
- Changed some skin variables (added migration of old skin variables to the new skin variables).
- Fixed some bugs.

[B]4.1.0[/B]

- Updated the version for the official Kodi repository.

[B]4.0.1[/B]

- Added several interface improvements (improved information in some info-dialogs, improved focused button in colorpicker).
- Fixed some bugs.

[B]4.0.1~beta3[/B]

- Added skin-settings for custom skin colors.
- Added several interface improvements (improved display of items near edges of Panels-view, improved audio-media-flags).
- Fixed some bugs.

[B]4.0.1~beta2[/B]

- Added skin-setting for auto-refreshing a few information dialogs.
- Added several interface improvements (improved the profile list for login, improved layout of info-dialogs, improved Home Menu settings).
- Fixed some bugs.

[B]4.0.1~beta1[/B]

- Added several windows for audio DSP add-ons.
- Added skin-settings for highlighting the button area in dialogs and setting the weather background art.
- Added several interface improvements (rearranged options in the Settings-menu, rearranged DialogInfo-windows, refactored media flags, improved settings-windows).
- Fixed some bugs.

[B]4.0.0[/B]

- Added several interface improvements (thin listborders in several dialogs).
- Fixed some bugs.

[B]4.0.0~beta2[/B]

- Added support for multi-image backgrounds, improved the Weather-information.
- Added a yin-yang busy animation.
- Added several interface improvements (adaptive player controls in Side Menu, adaptive bottom ring in Banners-view, new overlay-system).
- Fixed some bugs.

[B]4.0.0~beta1[/B]

- Updated many windows (and other files) for Kodi Jarvis.
- Fixed some bugs.

[B]3.1.0[/B]

- Updated the dependency of the Revolve-script.

[B]3.0.3[/B]

- Fixed the version.

[B]3.0.2[/B]

- Added custom action for the ROM Collection Browser script.
- Fixed some bugs.

[B]3.0.2~beta3[/B]

- Improved some artwork (circle artwork for Video-, Radio-, and Files-option).
- Made some interface improvements (background animations).
- Fixed some bugs.

[B]3.0.2~beta2[/B]

- Added custom backgrounds and custom option rearrangement for Home Menu items, improved and optimized dialogs for custom options.
- Made some interface improvements (Side/Top Menu label, overlays in all views, copy/paste path).
- Fixed some bugs.

[B]3.0.2~beta1[/B]

- Redesigned the Weather information.
- Added support for the Global Search-script.
- Made some interface improvements (added votes to IMDB rating, added close buttons to several menus, improved Side Menu navigation).
- Fixed some bugs.

[B]3.0.1[/B]

- Updated the version for the official Kodi repository.

[B]3.0.0[/B]

- Updated a dependency, removed an obsolete directory, and renamed a file.
- Added a license.
- Fixed some bugs.

[B]3.0.0~beta6[/B]

- Fixed a dependency-bug.

[B]3.0.0~beta5[/B]

- Improved the fonts and some background animations, replaced the scripts with calls to a separate script.
- Fixed some bugs.

[B]3.0.0~beta4[/B]

- Improved some windows and dialogs, added more background animations.
- Fixed some bugs.

[B]3.0.0~beta3[/B]

- Changed the font.
- Improved some views (added more outlines to labels) and added some background animations.
- Updated many skin-files and Python-scripts (guidelines).
- Fixed some bugs.

[B]3.0.0~beta2[/B]

- Improved some views and added more skin-settings to customize these views (and other windows).
- Fixed some bugs.

[B]3.0.0~beta1[/B]

- Updated many windows (and other files) for Kodi Isengard.
- Replaced a lot of code with parameterized includes.
- Added a spiral busy animation.
- Fixed some bugs.

[B]2.0.0[/B]

- Updated the version.

[B]2.0.0~beta4[/B]

- Added groups to the Side Menu.
- Fixed some bugs.

[B]2.0.0~beta3[/B]

- Added a background image (for the Radio-option).
- Improved some artwork (player-symbols, volume-symbols, circle artwork for Play Disc-option).
- Fixed some bugs.

[B]2.0.0~beta2[/B]

- Improved mouse control (realigned some Menu lists, added some navigation buttons, and improved controls for the Side Menu).
- Made some small interface improvements (more information for Radio/TV-options and better behaviour of Weather-option in Home Menu).
- Changed some artwork (player control icons, media-icon for audio channels, circle artwork for Radio-option).
- Fixed some bugs.

[B]2.0.0~beta1[/B]

- Updated several windows (and other files) for Kodi Helix.
- Added a new, dark skin color (Red-on-Black).
- Fixed some bugs.

[B]1.0.0[/B]

- Updated the version.

[B]1.0.0~beta4[/B]

- Added and changed some background images.
- Fixed some bugs.

[B]1.0.0~beta3[/B]

- Added and changed the busy animation, made a skin setting to select one of two animations.
- Added a Music Videos-option in the Home Menu.
- Added and changed some background images.
- Made some small interface improvements (description in Landscape-view, codec-information during playback, and more).
- Fixed some bugs.

[B]1.0.0~beta2[/B]

- Added a custom title window (and an option to enable or disable it), and a custom promo window (to create Revolve fanart).
- Replaced the Revolve icon, and added Revolve fanart.
- Improved the icons of many dialogs.
- Fixed some bugs.

[B]1.0.0~beta1[/B]

- Improved the information about Revolve in addon.xml.
- Made some small interface improvements (longer text in Revolve-view, moved clock when RSS is enabled in Home Menu, and more).
- Added and changed some background images.
- Fixed some bugs.

[B]0.5.0[/B]

- Fixed some bugs.

[B]0.4.1[/B]

- Fixed some bugs.

[B]0.4.0[/B]

- Added and improved skin settings (related to the circle items of the Home Menu), added a textfile viewer.
- Improved FileManager en MyMusicPlaylistEditor-windows (added scrollbars, fixed item count-label).
- Fixed some bugs.

[B]0.3.4[/B]

- Added three more custom options in the Home Menu among the pre-existing options Videos, Music, and Pictures.
- Added help-texts to all custom option-related dialogs.
- Added and replaced some artwork, mostly icons (media-flagging) and images for the Home Menu circle.
- Added 'reset to default'-buttons to all the Revolve skin settings-windows.
- Fixed some bugs.

[B]0.3.3[/B]

- Added submenus including a submenu editor as part of the custom options editor.
- Increased number of custom options in the Home Menu from 10 to 20, added an option to always open Videos and Music in the root.
- Fixed some bugs.

[B]0.3.2[/B]

- Changed the artwork within the circle of the Home Menu (replaced the turntable and the television).
- Redesigned Custom Option-related windows and changed skin variables involved with these custom options.
- Fixed some bugs.

[B]0.3.1[/B]

- Improved the items in Home Menu circle (Album-items and Next Aired-information is added, source can be configured, list is increased from 5 to 10 items).
- Changed the artwork within the circle of the Home Menu (changed the television, added a turntable and a book).
- Added a Banners-view (renamed the old Banners-view to Rotate List).
- Improved some views (added banner-support to the Drop List-view).
- Split Custom My Items window into two new windows (one for static list/script-support, one for dynamic list/plug-in support).
- Added a custom Exit Menu.
- Fixed some bugs.

[B]0.3.0[/B]

- Added and fixed some background images.
- Fixed some bugs.

[B]0.2.6[/B]

- Improved media flagging (mostly for pictures).
- Improved karaoke-windows.
- Added and changed some background images.
- Fixed some bugs.

[B]0.2.5[/B]

- Created a generic MyItems window for access to XBMC's latest items and Screen Widgets' recent, random, and recommended items.
- Added a Custom My Items window to add MyItems windows to the Home Menu.
- Redesigned the Custom Option windows (CustomDialogOptionEditor en CustomDialogActionEditor).
- Increased the number of custom options in the Home Menu from 5 to 10 useful custom options.
- Improved information about the pictures in a Slideshow.
- Fixed some bugs.

[B]0.2.4[/B]

- Redesigned the Settings menu (again).
- Redesigned the DialogFavourites-window.
- Created a generic menu (based on the Home Menu) and used it in Settings and DialogFavourites.
- Added an Albums-option in the Home Menu.
- Made some improvements (more information for pictures in views, Reload Skin-button in SkinSettings).
- Replaced some background images.
- Fixed some bugs.

[B]0.2.3[/B]

- Added windows for the RSS Editor add-on and the CU LRC Lyrics add-on.
- Added and improved media flagging (mostly for pictures).
- Added animation to the Gallery View and the Banners View.
- Fixed some bugs.

[B]0.2.2[/B]

- Added a horizontal-scrolling Gallery-view (based on Relyter's gallery) without any animation.
- Added a Banners-view (based on screenshots form the Revolve-topic)without any animation.
- Added and improved media flagging (mostly for pictures).
- Added some animations on windows-open/close events.
- Redesigned the Weather information.
- Fixed some bugs.

[B]0.2.1[/B]

- Added a horizontal-scrolling Panels-view.
- Improved some dialogs (DialogAlbumInfo, DialogSongInfo, DialogVideoInfo, and more).
- Redesigned the Settings menu.
- Changed some Revolve-specific skin settings to avoid double negatives.
- Added and repaired media flagging (for vidoes and music).
- Fixed some bugs.

[B]0.2.0[/B]

- Added an option to permanently show the scrollbar in views (which can be set in Skin-settings).
- Added and replaced some artwork, mostly icons (media-flagging).
- Fixed some bugs.

[B]0.1.5[/B]

- Added and replaced some artwork, mostly icons and overlays (media-flagging).
- Fixed some bugs.

[B]0.1.4[/B]

- Added some PVR-windows (MyPVR, DialogPVRChannelsOSD, DialogPVRGuideOSD).
- Added two semi-customizable menu items to the Home Menu (Books, Games).
- Improved usability for a few windows.
- Fixed some bugs.
- Added a pink skin.

[B]0.1.3[/B]

- Redesigned Live TV-settings (DialogPVRChannelManager, DialogPVRGroupManager).
- Added a custom dialog to create custom actions for custom Home Menu items (CustomDialogActionEditor).
- Fixed some bugs.
- Added an orange skin.
- Added a grey skin.

[B]0.1.2[/B]

- Added some PVR-windows (DialogPVRGuideSearch, DialogPVRGuideInfo, DialogPVRRecordingInfo, DialogPVRTimerSettings).
- Added a visual clue for the Side Menu (which can be disabled in Skin-settings).
- Added a skin-options to hide the message 'No information available'.
- Repaired Live TV-settings (DialogPVRChannelManager, DialogPVRGroupManager), but Live TV is not completely implemented.
- Fixed some bugs.

[B]0.1.1[/B]

- Added five customizable menu items to the Home Menu.
- Added skin-options to manage custom options (low-level) and to disable pre-defined options from Home Menu.
- Added skin-options for fading the background images/visualisation/videos.
- Redesigned the FileManager and the MyMusicPlaylistEditor
- Improved the DialogSlider-dialog window.
- Fixed some small bugs.
- Added a purple skin.

[B]0.1.0[/B]

- Changed default background picture.
- Fixed some small bugs.

[B]0.0.12[/B]

- Added the Favourites-option and Add-ons-option to the Home Menu (again), including appropriate Skin-settings.
- Added more information to the CircleListView.
- Redesigned weather-information (MyWeather).
- Changed default colors for many controls to improve visibility of those controls when focused.
- Made small improvements to some screens, added icons to some screens.
- Fixed some more bugs.

[B]0.0.11[/B]

- Added a Live TV section to the Settings-menu.
- Added more information and redesigned the Dialog*Info-windows.
- Recreated a PlayerControl-window.
- Made small improvements to many screens.
- Fixed some more bugs.
- Added a green skin.

[B]0.0.10[/B]

- Replaced the old controls by Revolve-controls (rounded buttons, new radiobuttons, new spinners, rounded edits).
- Improved user interface (better-looking dialogs, better skin-options, background for rssfeed).
- Fixed some bugs.
- Replaced a lot of duplicate code with includes.
- Added some more background art.
- Added a blue skin.

[B]0.0.9[/B]

- Integrated some of Relyter's ideas in this version of Revolve (Thanks!).
- Replaced ugly dialog-windows with dialog-bands (somewhat inspired by Windows 8).
- Moved some display-code to variables (to reduce amount of duplicate code).
- Tried to make the skin XBMC Gotham-compatible (but PVR is not yet implemented).

[B]0.0.8[/B]

- Redesigned menus (removed or recolored many colored border from pop-up menus).
- Tried to redesign dialog-windows (white background with rounded corners).

[B]0.0.7[/B]

- Redesigned menus (added colored borders to many pop-up menus)
- Changed some other views to get them working again.

[B]0.0.6[/B]

- Created the Circle List View (a large icon on the left side of the screen with 15 listitems circling around it).
- Created the Thumbnails View (a wall of thumbnails, 6 icons per row, three selectable rows).

[B]0.0.5[/B]

- Movies Landscape view transition finally smooth.

[B]0.0.4[/B]

- Recently added views on home screen updated.
- DialogYesNo.xml done.
- Clock support for both 12 and 24 hour versions.

[B]0.0.3[/B]

- Default font color changed to black. (White on white was pretty hard to read).

[B]0.0.2[/B]

- Updated/added graphics.
- Pressing right when over tv-shows at home menu opens recently added list-.
- Started working on video osd.
- Fixin the jagged edges. Your link helped but i'm still not satisfied.
- Messing around with the animations to find a good way to make them smooth. 
- Default font color changed to black. (White on white was pretty hard to read).

